<?php

namespace WilokeRestaurantMenu\Controllers\SingleProductControl;

use Elementor\Base_Control;
use WilokeRestaurantMenu\Share\TraitHandleCustomPost;

class SingleProductControl extends Base_Control
{
	use TraitHandleCustomPost;

	public function get_type()
	{
		return WILOKE_WILOKERESTAURANTMENU_NAMESPACE . 'wil-single-product';
	}

	public function enqueue()
	{
		wp_register_script(WILOKE_WILOKERESTAURANTMENU_NAMESPACE .
			'_single_product_control',
			WILOKE_WILOKERESTAURANTMENU_VIEWS_URL . 'src/Controllers/SingleProductControl/SingleProductControl.js',
			['jquery'],
			WILOKE_WILOKERESTAURANTMENU_VERSION,
			true);
		wp_localize_script('jquery', 'WilokeRestaurantMenu', [
			'prefix' => WILOKE_WILOKERESTAURANTMENU_NAMESPACE
		]);
		wp_enqueue_script(WILOKE_WILOKERESTAURANTMENU_NAMESPACE .
			'_single_product_control');
	}

	public function content_template()
	{
		?>

        <div class="elementor-control elementor-control-type-divider elementor-control-separator-before"></div>

        <# if ( data.label || data.description ) { #>
        <div class="wil-mb-15">
            <label class="elementor-control-title">{{{data.label }}}</label>
            <# if ( data.description ) { #>
            <div class="elementor-control-field-description">{{{data.description}}}</div>
            <# } #>
        </div>
        <# } #>

        <div class="elementor-control-field wil-mb-15">
            <label class="elementor-control-title">
				<?php echo esc_html__('Select product', 'wiloke-restaurant-menu'); ?>
            </label>
            <div class="elementor-control-input-wrapper elementor-control-unit-5">
              <select class="wil-select-product wil-width-100" name="wil-products">
            </div>
        </div>

        <div class="elementor-control elementor-control-type-divider elementor-control-separator-after"></div>
		<?php

	}
}